// pages/yuezhan/search/index.js
const { request } = require('../../../utils/services');
const { bindInput } = require('../../../utils/util');


Page({

  /**
   * 页面的初始数据
   */
  data: {
    searchText:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getKeywordCode()
  },
  bindInput:function(event) {
    var obj = {},
    key = event.target.dataset['key'];
    // Toast.showToast('success', event.detail.value);
    obj[key] = event.detail.value;
    this.setData(obj);
    console.log(this.data.searchText)
  },

  keywordSearch: function (e) {
    let { keyword } = e.currentTarget.dataset;
    this.setData({
      searchText: keyword
    })
    this.searchByText()
  },

  getKeywordCode: function () {
    request["getKeywordCode"]({}, "", res => {
      if (res.data.code > -1) {
        let { data: keyword } = res.data;
        this.setData({
          keyword
        })
        wx.stopPullDownRefresh();
        console.log(res)
      }
    }, err => {

    }, complete => {

    })
  },

  searchByText: function () {
    wx.navigateTo({
      url: `../search_result/index?searchText=${this.data
        .searchText}`
    });
  },

  to_search: function () {
    wx.navigateTo({
      url: '../search_result/index',
      success: function (res) { },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  input_search:function(){
    request["searchExhibitionList"]({
      // name: ,
      tag: tag,
      page: page
    }, res => {
      let { last: lastPage, totalPages, content: exhibitionList } = res.data;

      console.log(res)
      this.setData({
        currentPage: res.data.number,
        lastPage,
        exhibitionList
      });
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})